Kreslení Mnohoúhelníku

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Polygon and the translation is 10% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Ellipse.svg Ellipse
Next: Rectangle Draft Rectangle.svg Arrow-right.svg

Draft Polygon.svg Draft Polygon

Umístění Menu
Draft -> Polygon
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
P G
Představen ve verzi
-
Viz také
Nikdo


Popis

Nástroj Mnohoúhelník vytváří pravidelný mnohoúhelník zadáním 2 bodů, střed a druhý bod definující poloměr. Použije se tloušťka čáry a barva předem zadaná v záložce Nástrojů.

Draft polygon example.jpg

Draft polygon example.jpg

Použití

  1. Stiskněte tlačítko Draft Polygon.png Mnohoúhelník nebo klávesy P a potom G
  2. Klikněte na první bod ve 3D pohledu nebo zadejte jeho souřadnice pro určení středu
  3. V dialogovém okně voleb zadejte počet stran,
  4. Klikněte na další bod ve 3D pohledu nebo zadejte hodnotu definující poloměr mnohoúhelníku. Mnohoúhelník je také povrchem, i když se jeví jako drátový model.

The polygon can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the center and radius points to a new position.

The polygon is created inscribed in a circle of the specified radius; it can be switched to circumscribed after creation by changing its draw mode property.

The number of sides of the polygon can also be changed after creation by changing its faces number property.

Volby

  • Pro zadání souřadnic ručně, jednoduše zadejte číslo a stiskněte ENTER mezi každou z komponent X, Y a Z.
  • Stiskněte klávesu T nebo klikněte/odklikněte zaklikávací políčko Pokračovat. Je-li nastaven pokračovací mód, nástroj Mnohoúhelník bude po ukončení mnohoúhelníka restartován a připraven ke kreslení dalšího mnohoúhelníka bez nutnosti znovu jej spouštět klikáním na tlačítko Mnohoúhelník.
  • Stiskněte při kreslení klávesu CTRL pro přichycení Vašeho bodu k nejbližšímu uchopovacímu místu, nezávisle na vzdálenosti od něho.
  • Stiskněte při kreslení klávesu SHIFT pro nastavení vazby Vašeho dalšího bodu vodorovně nebo svisle v relaci k předchozímu bodu.
  • Stisknutím klávesy I nebo tlačítka Filled zajistíte, že se mnohoúhelník tváří jako plocha (musí být uzavřená). Jednoduše se to nastavuje Pohled->Vlastnost Mnohoúhelník na "Otevřené čáry" nebo "Drátový model", toto také může být snadno změněno později.
  • Stiskněte klávesu ESC nebo tlačítko Cancel pro ukončení aktuálního příkazu.

Vlastnosti

  • DATAPoloměr: Poloměr definiční kružnice
  • DATAKreslicí mód: Specifikuje jestli je mnohoúhelník vepsaný nebo opsaný definiční kruřnici
  • DATAPočet stran: Počet stran mnohoúhelníka
  • DATAPoloměr zaoblení: Specifikuje poloměr zaoblení v rozích mnohoúhelníka

Data

  • DATARadius: specifies the radius of the circle that defines the polygon.
  • DATADraw Mode: specifies if the polygon is inscribed in a circle, or circumscribed around a circle.
  • DATAFaces Number: specifies the number of sides of the polygon.
  • DATAChamfer Size: specifies the size of the chamfers (straight segments) created on the corners of the polygon.
  • DATAFillet Radius: specifies the radius of the fillets (arc segments) created on the corners of the polygon.
  • DATAMake Face: specifies if the shape makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object.

View

  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the polygon. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Skriptování

Nástroj Mnohoúhelník může být využit v makrech a z konzoly Pythonu použitím následující funkce:

The Polygon tool can be used in macros and from the Python console by using the following function:

Polygon = makePolygon(nfaces, radius=1, inscribed=True, placement=None, face=None, support=None)
  • Vytvoří objekt mnohoúhelník se zadaným počtem stran a poloměrem.
  • Je-li inscribed False, mnohoúhelník je opsán kolem kružnice s daným poloměrem. Jinak je vepsán dovnitř kružnice.
  • Je-li face True, výsledný tvar je zobrazen jako povrch, jinak jako drátový model.
  • Výstupem je nově vytvořený objekt.

Příklad:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(4, radius=500)
Polygon2 = Draft.makePolygon(5, radius=750)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Polygon3 = Draft.makePolygon(6, radius=1450, placement=place3)
Arrow-left.svg Previous: Draft Ellipse.svg Ellipse
Next: Rectangle Draft Rectangle.svg Arrow-right.svg